Class | Amalgalite::BusyTimeout
In: | lib/amalgalite/busy_timeout.rb lib/amalgalite/busy_timeout.rb
Parent: | BusyHandler

A busy time out class for use in Database#define_busy_handler

### Methods

call call new new

### Attributes

call_count | [R] |
call_count | [R] |

### Public Class methods

new( count = 20 , duration = 50 )

intialize by setting count and duration ( in milliseconds ).

new( count = 20 , duration = 50 )

intialize by setting count and duration ( in milliseconds ).

### Public Instance methods

call( call_count )

return `false` if callcount is > count otherwise sleep for duration milliseconds and then return `true`

call( call_count )

return `false` if callcount is > count otherwise sleep for duration milliseconds and then return `true`

[Validate]